# Set the sender's or recipient's address for Shippo shipment

Endpoint: POST /api/v1/transactions/{transaction_id}/shippo_address
Version: 0.1.0
Security: APIKey

## Path parameters:

  - `transaction_id` (integer, required)

## Header parameters:

  - `Trustap-User` (string)
    Required in client flows, where you make API calls on behalf of another Trustap user.

## Request fields (application/json):

  - `city` (string, required)

  - `country` (string, required)

  - `email` (string)

  - `full_name` (string, required)

  - `is_sender_address` (boolean, required)

  - `phone` (string, required)

  - `state` (string, required)

  - `street_1` (string, required)

  - `street_2` (string)

  - `zip_code` (string, required)

## Response 200 fields (application/json):

  - `city` (string, required)

  - `country` (string, required)

  - `email` (string)

  - `full_name` (string, required)

  - `phone` (string, required)

  - `state` (string, required)

  - `street_1` (string, required)

  - `street_2` (string)

  - `zip_code` (string, required)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `error` (string, required)
    A contextual description of the error that occurred. When
handling errors the `code` field should be used to determine
the type of error that occurred, as the text in the `error`
field may change unexpectedly.

